Hazelnp::Parameter Class Reference

`#include <Parameter.h>`

## Public Member Functions

| Parameter (const std::string &key, const Value *value)
| ~Parameter ()
const std::string & | Key () const
| Will return the key of this parameter. More...
const Value * | GetValue () const
| Will return the value of this parameter. More...

## Friends

std::ostream & | operator<< (std::ostream &os, const Parameter &p)

## Detailed Description

Definition at line 8 of file Parameter.h.

## Constructor & Destructor Documentation

## Parameter()

Parameter::Parameter | ( | const std::string & | key,
|  | const Value * | value
| ) |  |

explicit

Definition at line 5 of file Parameter.cpp.

:
key{ key }
{
this->value = value->Deepcopy();
return;
}

## ~Parameter()

Parameter::~Parameter | ( |  | ) |

Definition at line 13 of file Parameter.cpp.

{
delete value;
value = nullptr;
return;
}

## Member Function Documentation

## GetValue()

const ::Value * Parameter::GetValue | ( |  | ) | const

Will return the value of this parameter.

Definition at line 26 of file Parameter.cpp.

{
return value;
}

## Key()

const std::string & Parameter::Key | ( |  | ) | const

Will return the key of this parameter.

Definition at line 21 of file Parameter.cpp.

{
return key;
}

## Friends And Related Function Documentation

## operator<<

std::ostream& operator<< | ( | std::ostream & | os,
|  | const Parameter & | p
| ) |  |

friend

Definition at line 20 of file Parameter.h.

{
return os << "{ Key: \"" << p.key << "\" -> " << *p.value << " }";
}

The documentation for this class was generated from the following files:

- Hazelnupp/Parameter.h
- Hazelnupp/Parameter.cpp

Hazelnp::Value::Deepcopy
virtual Value * Deepcopy() const =0
Will return a deeopopy of this object.